Bug 966775 - [RHEL 6.4] BUG glibc causing double-whetstone performance degradation when compared to RHEL 6.3.
Summary: [RHEL 6.4] BUG glibc causing double-whetstone performance degradation when co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.4
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Siddhesh Poyarekar
QA Contact: Arjun Shankar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-23 22:55 UTC by Kevin Toyama
Modified: 2018-12-04 15:22 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The improvements RHBA-2013:0279 made to the accuracy of floating point functions in the math library caused performance regressions for those functions. The performance regressions were analyzed and a fix was applied that retains the current accuracy but reduces the performance penalty to acceptable levels.
Clone Of:
Environment:
Last Closed: 2013-11-21 11:02:17 UTC


Attachments (Terms of Use)
Candidate fix (6.01 KB, patch)
2013-06-07 14:16 UTC, Siddhesh Poyarekar
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1605 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2013-11-20 21:54:09 UTC

Description Kevin Toyama 2013-05-23 22:55:10 UTC
Description of problem:
When running UnixBench5.1.3 tests on a RHEL6.4 system with the latest glibc version there is a noticeable performance loss in the double-whetstone test (around 50% difference).  When using the patched glibc from BZ964044, http://people.redhat.com/yoguma/.bz892635 there is still about a 20% loss in performance.

Version-Release number of selected component (if applicable):
glibc-2.12-1.107.el6.x86_64
glibc-2.12-1.107.el6.1.bz892635.x86_64

How reproducible:
always.

Steps to Reproduce:
- Build a RHEL6.3 x86_64 system, mine is built with 4 CPU, 4GB memory.
- Download, compile UnixBench5.1.3.tgz from http://code.google.com/p/byte-unixbench/downloads/list
- The one benchmark number they are checking on is the double-whetstone run, the others are within a <10% gap which they seem to be satisfied with.
# ./Run -c 1 -i 20 whets
- gather the Results
- Build a RHEL6.4.z system with latest packages and run UnixBench, gather results
- Install the patch glibc packages from here: http://people.redhat.com/yoguma/.bz892635/ and rebuild, re-run UnixBench. gather results.

Actual results: RHEL6.4.z glibc run is 40% slower than 6.3, and 6.4 + patch glibc is still 20% slower than 6.3.


Expected results: 
Same or better performance.


Additional info:

Comment 3 Siddhesh Poyarekar 2013-05-24 07:03:14 UTC
I'll take this.

Comment 10 Siddhesh Poyarekar 2013-06-07 14:16:01 UTC
Created attachment 758173 [details]
Candidate fix

Comment 38 errata-xmlrpc 2013-11-21 11:02:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1605.html


Note You need to log in before you can comment on or make changes to this bug.